static const int HIDsize = 64;
unsigned char readbuff[HIDsize];
unsigned char writebuff[HIDsize];

void USB1Interrupt() iv IVT_INT_OTG_FS {
    USB_Interrupt_Proc();
}

void RNG_Init() {
    RNGEN_RCC_AHB2ENR_bit = 1;
    RNG_CR.RNGEN = 1;
}

unsigned long RNG_Get() {
    static unsigned long last = 0;
    unsigned long curr = last;
    while(curr == last) {
        if(RNG_SR.SEIS == 1) {
            RNG_SR.SEIS = 0;
            RNG_CR.RNGEN = 0; RNG_CR.RNGEN = 1;
        }
        if(RNG_SR.DRDY == 1 && RNG_SR.SEIS == 0 && RNG_SR.CEIS == 0) {
            curr = RNG_DR;
        }
    }
    last = curr;
    return curr;
}

void main() {
    NVIC_IntEnable(IVT_INT_OTG_FS);
    HID_Enable(readbuff, writebuff);
    RNG_Init();
    while(1) {
        int i;
        for(i = 0; i < HIDsize; i += sizeof(unsigned long)) {
            unsigned long *p = (unsigned long *)&writebuff[i];
            *p = RNG_Get();
        }
        HID_Write(writebuff, HIDsize);
    }
}